@ECHO OFF
  CLS
  ECHO                              SETTING UP NODE #%NODE%
  SET FNDRIVE=D:
  SET FNDIR=\FNET\NODE%NODE%
  SET DSZLOG=%FNDRIVE%%FNDIR%\DSZLOG

  %FNDRIVE%
  CD %FNDIR%
  IF EXIST EVENT.BAT IF NOT EXIST PCBOARD.SYS DEL EVENT.BAT

  FNET.EXE %1 %2

  IF ERRORLEVEL 255 GOTO DoMail
  IF ERRORLEVEL 254 GOTO Fax
  IF ERRORLEVEL 3 GOTO ReStart
  IF ERRORLEVEL 2 GOTO End3
  IF ERRORLEVEL 1 GOTO End2

  %FNDRIVE%
  CD %FNDIR%
  IF EXIST EVENT.BAT COMMAND /C EVENT.BAT
  IF EXIST EVENT.BAT DEL EVENT.BAT
  IF EXIST DOOR.BAT DOOR.BAT
 
  %FNDRIVE%
  CD %FNDIR%
  ECHO                            RETURNING TO FEATHERNET
  SFN.BAT

:Domail
  GOTO ReStart

:Fax
  GOTO ReStart

:ReStart
  %FNDRIVE%
  CD%FNDIR%
  ECHO                            RE-SETTING UP NODE #%NODE%
  SFN.BAT

:End2
  ECHO OFF
  DEL DOOR.BAT
  CLS
  ECHO [2J[26C[1;33mFeatherNet Terminated!
  ECHO [29C[1;37mHave a Nice Day![0;37m

:End3
